Package org.apache.catalina.core

# Class ContainerBase.ContainerBackgroundProcessorMonitor

java.lang.Object
org.apache.catalina.core.ContainerBase.ContainerBackgroundProcessorMonitor

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  ContainerBase

protected class ContainerBase.ContainerBackgroundProcessorMonitor extends Object implements Runnable

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ContainerBackgroundProcessorMonitor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContainerBackgroundProcessorMonitor

protected ContainerBackgroundProcessorMonitor()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`